#include <ArkRenderer.h>
#include <ArkSystem.h>

namespace Ark
{
   VersionInfo Renderer_VERSION = {"Renderer", 0,1,0};

   RendererFactory::RendererFactory() : Factory (Renderer_VERSION)
   {
   }
   
   Renderer *
   RendererFactory::CreateRenderer(const String &implname,
				   Cache *cache,
				   FactoryList *factlist)
   {
      if (factlist == 0)
	 factlist = Ark::Sys()->Factories();
      
      Ark::RendererFactory *rendererfac;
      if (!factlist->GetFactory(implname, &rendererfac, Renderer_VERSION))
	 Ark::Sys()->Fatal("Cannot create a renderer factory !");
      
      return rendererfac->NewRenderer (cache);
   }

}

