/*
** ArkRPG - Libraries, Tools & Programs for MMORPG developpements.
** Copyright (C) 1999-2000 The Contributors of the ArkRPG Project
** Please see the file "AUTHORS" for a list of contributors
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef CLIENT_PANELWIDGET_H
#define CLIENT_PANELWIDGET_H

#include <Client/Client.h>

namespace Client
{
  /**
   * This class aims at providing an abstract class to handle Panels
   * as widgets. The heritated panels such as BorderPanel or
   * ScrollPane are some usable panels.
   */
   class PanelWidget : public ContainerWidget
   {
      public:
	 /**
	  * Constructor
	  */
	 PanelWidget();

	 /**
	  * Sets the position of the label
	  * \param x x coordinate of the label
	  * \param y y coordinate of the label
	  */
	 void SetPosition(int x, int y);

	 /**
	  * Gets the x position coordinate of the label
	  * \return The x position coordinate of the label
	  */
	 int GetXPosition() const
	 {
	    return m_X;
	 }

	 /**
	  * Gets the y position coordinate of the label
	  * \return The y position coordinate of the label
	  */
	 int GetYPosition() const
	 {
	    return m_Y;
	 }

	 /**
	  * Displays the panel
	  */
	 virtual void Render(UIRenderer *renderer);
   };
}

#endif

