#ifndef WIDGETTEST_H
#define WIDGETTEST_H

#include <Client/Widget.h>
#include <Ark/ArkRenderer.h>

#include <SDL.h>
#include <GL/gl.h>

// FIXME: Due to some NVIDIA includes, I had to add this for linux.
#ifndef WIN32
#undef GLAPIENTRY
#undef GLAPI
#define GLAPIENTRY
#define GLAPI
#endif

#include <GL/glu.h>

// When using windows, GL/gl.h includes windows.h, which defines min and max
// as macro. This might cause name clashes with the respective Ark functions.
#undef max
#undef min

namespace Client
{

   // Renderer-dependent client
   class WidgetTest
   {
      public:
	 int m_Width, m_Height;
	 bool m_Done;
	 UIRenderer *m_UI;
	 Widget *m_CurWidget;
	 Ark::Renderer *m_Renderer;

      public:
	 WidgetTest (int argc, char **argv);
	 ~WidgetTest ();

	 int Loop ();
	 bool ProcessEvents ();
	 bool HandleEvent (SDL_Event *event);

	 ///
	 void HandleKey (bool down, int mods, int key) {}
	 void HandleMButton (bool down, int b, int x, int y) {}
	 void HandleMotion (int state, int x, int y) {}
	 bool Refresh ();
   };


}


#endif
