/* $Id: SkyDome.h,v 1.3 2002/10/12 00:58:46 zongo Exp $
**
** Ark - Libraries, Tools & Programs for MMORPG developpements.
** Copyright (C) 1999-2000 The Contributors of the Ark Project
** Please see the file "AUTHORS" for a list of contributors
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef ARK_SKYCAP_H
#define ARK_SKYCAP_H

#include <Ark/ArkMath.h>
#include <Ark/ArkWorld.h>
#include <Ark/ArkConfig.h>

#include <Modules/HeightField/ArkHeightField.h>

namespace Ark
{

   class AStar;
   class HFRenderer;

   class ARKHEIGHTFIELD_DLL_API SkyBox
   {
       Cache* m_Cache;
       Config& m_Config;
       Material *m_Materials[6];
       VertexBuffer m_VB;

       void SetCoord (int n,
	       scalar x, scalar y, scalar z,
	       scalar u, scalar v);

       Material* GetMaterial(const String &name);

       public:
       SkyBox (Cache *cache, Config &cfg);
       ~SkyBox ();

       void Render (Renderer &renderer, const Vector3 &position);
   };

/* namespace Ark */
}

#endif
